如何使用yarn命令升级Node.js

如何使用yarn命令升级Node.js

快速入门

Yarn 对你的代码来说是一个包管理器, 你可以通过它使用全世界开发者的代码, 或者分享自己的代码。Yarn 做这些快捷、安全、可靠,所以你不用担心什么。

通过Yarn你可以使用其他开发者针对不同问题的解决方案,使自己的开发过程更简单。 使用过程中遇到问题,你可以将其上报或者贡献解决方案。一旦问题被修复, Yarn会更新保持同步。

代码通过 包(package) (或者称为 模块(module)) 的方式来共享。 一个包里包含所有需要共享的代码,以及描述包信息的文件,称为 package.json 。

yarn的使用

yarn包管理工具,官网说是快速、可靠、安全的依赖管理,尝试了一下,入手很快,用起来也蛮方便的。大家可以尝试一下。

yarn安装

mac电脑上面安装如下:

1
2
3
brew update

brew install yarn

yarn工作流

1、创建一个新的项目

1
yarn init

类似于npm init ,package.json的配置

2、添加依赖项

1
yarn add [package]

类似于npm install

3、安装依赖项

1
2
3
4
5
6
7
安装所有依赖:yarn 或 yarn install

安装一个包的单一版本:yarn install --flat

强制重新下载所有包:yarn install --force

只安装生产环境依赖:yarn install --production

yarn和npm的命令对照

具体可以查看:点击这里

yarn的cli命令介绍

具体可以查看:点击这里

yarn config设置镜像

除了npm安装国内镜像,我们也可以通过yarn的config来设置淘宝镜像, 相关命令如下:

1
yarn config list

列出路径

1
yarn config set registry http://registry.npm.taobao.org/

设置淘宝镜像。

升级Node.js的新方法

当我运用

1
yarn add webpack

的时候,提示:

1
2
error enhanced-resolve@3.1.0: The engine "node" is incompatible with this module. Expected version ">=4.3.0 <5.0.0 || >=5.10".
error Found incompatible module

说我的nodejs版本太老了。如何在mac中轻松升级nodejs呢?我们可以使用npm或者yarn安装n工具包,步骤如下:

1
2
3
sudo npm cache clean -f
sudo npm install -g n
sudo n stable

这样nodejs就升级到最新稳定版了!

n 是一个Node工具包,它提供了几个升级命令参数:

1
2
3
4
5
n                              显示已安装的Node版本
n latest                       安装最新版本Node
n stable                       安装最新稳定版Node
n lts                          安装最新长期维护版(lts)Node
n <version>                    根据提供的版本号安装Node

结束语

生命在于折腾,同样,不管你是做前端开发也好,还是后端开发也好,学习技术也需要我们不断折腾,以上就是如何使用yarn命令升级Node.js的方法,欢迎拍砖。

未经允许不得转载:码云笔记 » 如何使用yarn命令升级Node.js
喜欢(0) 打赏

评论抢沙发

评论前必须登录!

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏

在线客服

在线客服

  • 扫描二维码,微信联系 扫描二维码,微信联系